## Welcome to GameDev at TTLMakerspace!

Playing games is fun. Making games is even more fun - creating everything from simple toys to immersive worlds of your own design.

The Godot game engine is an  incredible open-source project that is free for anyone to use. It is community-maintained and has seen explosive growth in the last two years.

With the arrival of Godot 4, the engine has become a legitimate tool for learning game development and making fun games in both 2D and 3D - and more recently XR.

## Course Description

In this course at TTLMakerspace, you will go from beginner to a working knowledge of game design and development using the open-source engine Godot.

Starting with the basics of the game engine, you’ll learn how to progress from a knowledge of game mechanics to a coherent, engaging game experience.

Outcomes:
At the end of this course you will have achieved the following goals:
* A grasp of planning out fun game-play mechanics
* Familiarity with features of the Godot Game Engine
* Practical knowledge of animation techniques
* A working understanding of sound design
* Application of physics for game-play mechanics
* Comfort with both 2D and 3D game development
* Ability to publish and show your game
* Working understanding of UI in games

Following this course, you’ll be welcome to join the growing community of creators and game developers at TTLMakerspace for continued support and encouragement in your game development journey.

Useful for: games, art, installations, animation, interactive experiences



### Contribute!
Markdown syntax [here](https://www.markdownguide.org/basic-syntax/)
